%{?nodejs_find_provides_and_requires}

%global packagename es6-set
%global enable_tests 1

Name:		nodejs-es6-set
Version:	0.1.4
Release:	1%{?dist}
Summary:	ECMAScript6 Set polyfill

License:	MIT
URL:		https://github.com/medikoo/es6-set.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
ECMAScript6 Set polyfill


%prep
%setup -q -n package

%nodejs_fixdep d

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ primitive/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tad
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.4-1
- Initial packaging
